## squid-deb-proxy 0.3.1

=== debian/changelog ===
squid-deb-proxy (0.3.1) lucid; urgency=low

  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart:
    - start only once avahi-daemon is available (thanks to dholbach)
  * debian/control:
    - add dependency on apt for squid-deb-proxy-client
  (thanks to dholbach)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Mar 2010 15:05:12 +0100

squid-deb-proxy (0.3) lucid; urgency=low

  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart:
    - advertise the proxy using avahi (if avahi is availalbe)
  * debian/control:
    - add recommends on avahi-utils to get avahi-publish
  * apt-avahi-discover:
    - provide a avahi based module suitable for apts 
      Acquire::http::ProxyAutoDetect option
  * 30autoproxy:
    - add apt configuration that automatically uses apt-avahi-discover

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Feb 2010 14:04:56 +0100

squid-deb-proxy (0.2.3) lucid; urgency=low

  * debian/control:
    - move Vcs to lp:~squid-deb-proxy-developers/squid-deb-proxy/trunk
    - add homepage
  * mirror-dstdomain.acl:
    - add ports.ubuntu.com

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Jan 2010 15:02:15 +0100

squid-deb-proxy (0.2.2) lucid; urgency=low

  * mirror-dstdomain.acl:
    - add security.ubuntu.com to the allowed destdomains

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Jan 2010 09:19:50 +0100

squid-deb-proxy (0.2.1) lucid; urgency=low

  * initial lucid upload

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jan 2010 18:13:26 +0100

squid-deb-proxy (0.2) lucid; urgency=low

  * README:
    - add documentation
  * *.acl:
    - split the bits that the user will most likely change into 
      different files

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jan 2010 18:13:15 +0100

squid-deb-proxy (0.1) lucid; urgency=low

  * initial version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Jan 2010 12:11:19 +0100

## squid-deb-proxy 0.3.1.0.1

=== debian/changelog ===
squid-deb-proxy (0.3.1.0.1) lucid-proposed; urgency=low

  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart,
    debian/squid-deb-proxy.upstart:
    - backport upstart script fixes from natty so that the avahi
      service gets started and stopped correctly and that squid
      only starts when there is a network interface available
      (LP: #666014)
  * mirror-dstdomain.acl:
    - include extras.ubuntu.com and archive.canonical.com in the
      default configuration to make it work out-of-the box with
      maverick clients
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Jan 2011 16:58:31 +0100

## squid-deb-proxy 0.3.1.1

=== debian/changelog ===
squid-deb-proxy (0.3.1.1) maverick-proposed; urgency=low

  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart:
    - fix upstart script so that the avahi service actually gets
      started (LP: #666014)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Nov 2010 15:32:35 +0100

## squid-deb-proxy 0.3.1.2

=== debian/changelog ===
squid-deb-proxy (0.3.1.2) maverick-proposed; urgency=low

  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart,
    debian/squid-deb-proxy.upstart:
    - backport upstart script fixes from natty so that the avahi
      service gets started and stopped correctly and that squid
      only starts when there is a network interface available
      (LP: #666014)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Jan 2011 16:40:09 +0100

## squid-deb-proxy 0.3.1.3

=== Makefile ===
#!/usr/bin/make

all:
	echo "nothing to do"

install:
	# dir
	install -d -m 755 $(DESTDIR)/etc/squid-deb-proxy
	install -d -m 755 $(DESTDIR)/etc/apt/apt.conf.d
	install -d -m 755 $(DESTDIR)/usr/share/squid-deb-proxy-client/
	# files
	install -m 644 squid-deb-proxy.conf $(DESTDIR)/etc/squid-deb-proxy/
	install -m 644 allowed-networks-src.acl $(DESTDIR)/etc/squid-deb-proxy/
	install -m 644 mirror-dstdomain.acl $(DESTDIR)/etc/squid-deb-proxy/
	# client
	install -m 755 apt-avahi-discover $(DESTDIR)/usr/share/squid-deb-proxy-client/
	install -m 755 30autoproxy $(DESTDIR)/etc/apt/apt.conf.d

=== debian/changelog ===
squid-deb-proxy (0.3.1.3) maverick-proposed; urgency=low

  * add extras.ubuntu.com and archive.canonical.com to the
    default mirrors (LP: #746553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 31 Mar 2011 18:23:42 +0200

=== debian/control ===
Source: squid-deb-proxy
Section: net
Priority: extra
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               gettext,
               intltool,
Standards-Version: 3.8.3
Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/maverick
Homepage: https://launchpad.net/squid-deb-proxy

Package: squid-deb-proxy
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
	 squid
Recommends: avahi-utils
Description: Squid proxy configuration optimized for deb packages
 This package contains a squid proxy configuration that is optimized
 for downloading deb packages. It defaults to a different cache 
 directory and port than the regular squid cache.
 .
 The config default to allowing cached access from a local network
 to *.archive.ubuntu.com.

Package: squid-deb-proxy-client
Architecture: all
Depends: ${misc:Depends}, avahi-utils, apt (>= 0.7.25.3ubuntu1)
Description: Automatic proxy discovery for apt based on avahi
 This package contains a helper for the apt http method to discover
 proxies that publish their service as _apt_proxy._tcp.
 .
 It was written to be installed on clients that should use 
 squid-deb-proxy automatically, but it will work with any proxy
 that publishes the service as _apt_proxy._tcp.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	dh_installinit $@
	dh_installinit --name=squid-deb-proxy-avahi

## squid-deb-proxy 0.3.3

=== debian/changelog ===
squid-deb-proxy (0.3.3) natty; urgency=low

  * Adjusting upstart job so restarting squid-deb-proxy does not result
    in killing squid-deb-proxy-avahi. (LP: #677276)
  * Also adjusting upstart job so squid-deb-proxy does not get started
    a real network interface is up and all local filesystems are mounted 

 -- Clint Byrum <clint@ubuntu.com>  Thu, 18 Nov 2010 16:27:24 -0800

squid-deb-proxy (0.3.2) natty; urgency=low

  [ Colin Dean ]
  * adding other ubuntu/canonical repos and some suggested 
    others (but commented) (LP: #673080)
  * Added commented lines which allow non-specified domains to be 
    accessed and (optionally) cached

  [ Jorge O. Castro ]
  * Add some popular repositories to cache (commented out)
  
  [ Michael Vogt ]
  * README: 
    - updated to document the new options
  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart:
    - fix upstart script so that the avahi service actually gets
      started (LP: #655187)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Nov 2010 10:45:49 +0100

## squid-deb-proxy 0.3.4

=== debian/changelog ===
squid-deb-proxy (0.3.4) natty; urgency=low

  * Removing expect fork and passing -N to squid to prevent upstart
    losing track of squid on reload (LP: #573853)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 11 Jan 2011 15:07:37 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                gettext,
                intltool,
 Standards-Version: 3.8.3
-Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/maverick
+Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/trunk
 Homepage: https://launchpad.net/squid-deb-proxy
 
 Package: squid-deb-proxy

## squid-deb-proxy 0.4.1

=== debian/changelog ===
squid-deb-proxy (0.4.1) natty; urgency=low

  * remove obsolete conffile on upgrade:
    /etc/init/squid-deb-proxy-avahi.conf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Mar 2011 08:51:41 +0100

squid-deb-proxy (0.4) natty; urgency=low

  * mirror-dstdomain.acl:
    - add ddebs.ubuntu.com to default mirrors
  * apt-avahi-discover:
    - use avahi-resolve to workaround the issue that avahi-browse
      sometimes hands out ipv6 even when asked for ipv4 only,
      many thanks to Andrew Simpson (LP: #686265)
  * contrib/squid-deb-proxy.init:
    - add sysv init script, thanks to Andrew Simpson
  * debian/squid-deb-proxy.upstart:
    - write avahi services file on post-start and kill it again
      on pre-stop (LP: #695937)
  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart:
    - removed, this is part of squid-deb-proxy.upstart now
  * Makefile:
    - fix permission of 30autoproxy (LP: #697955)
  * debian/squid-deb-proxy.logrotate:
    - add logrotate file (LP: #718923), thanks to
      Johan van Dijk and Andrew Simpson

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Mar 2011 21:53:11 +0100

## squid-deb-proxy 0.4.2

=== Makefile ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	install -m 644 mirror-dstdomain.acl $(DESTDIR)/etc/squid-deb-proxy/
 	# client
 	install -m 755 apt-avahi-discover $(DESTDIR)/usr/share/squid-deb-proxy-client/
-	install -m 755 30autoproxy $(DESTDIR)/etc/apt/apt.conf.d
+	install -m 644 30autoproxy $(DESTDIR)/etc/apt/apt.conf.d

=== debian/changelog ===
squid-deb-proxy (0.4.2) natty; urgency=low

  * mirror-dstdomain.acl:
    - add mirrors.ubuntu.com for the mirror methods

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Mar 2011 17:50:10 +0100

## squid-deb-proxy 0.5.1

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,16 @@
 
 all:
 	echo "nothing to do"
+	make -C avahi
 
 install:
 	# dir
 	install -d -m 755 $(DESTDIR)/etc/squid-deb-proxy
+	install -d -m 755 $(DESTDIR)/etc/squid-deb-proxy/allowed-networks-src.acl.d
+	install -d -m 755 $(DESTDIR)/etc/squid-deb-proxy/mirror-dstdomain.acl.d
+	install -d -m 755 $(DESTDIR)/etc/squid-deb-proxy/pkg-blacklist.d
+	install -d -m 755 $(DESTDIR)/etc/squid-deb-proxy/autogenerated
+	install -m 644 README.autogenerated $(DESTDIR)/etc/squid-deb-proxy/autogenerated
 	install -d -m 755 $(DESTDIR)/etc/apt/apt.conf.d
 	install -d -m 755 $(DESTDIR)/usr/share/squid-deb-proxy-client/
 	# files

=== debian/changelog ===
squid-deb-proxy (0.5.1) oneiric; urgency=low

  * debian/control:
    - fix architecture in squid-deb-proxy-client-udeb

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Jun 2011 12:35:19 +0100

squid-deb-proxy (0.5) oneiric; urgency=low

  * merged lp:~lynxman/squid-deb-proxy/debhooks, many thanks
    this adds debconf support to enable unrestricted network src
    access and access to PPA destinations
  * add support for a binary packagename blacklist
  * add .d directories for:
     - allowed-networks-src.acl.d
     - mirror-dstdomain.acl.d
     - pkg-blacklist.d
  * add squid-deb-proxy-client udeb 
  * write debconf generated config to 
     /etc/squid-deb-proxy/allowed-networks-src.acl.d/30-debconf
     /etc/squid-deb-proxy/mirror-dstdomain.acl.d/30-debconf
  * debian/control:
    - add avahi and pkg-config to the build-depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Jun 2011 15:34:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends: debhelper (>= 7.0.50),
                gettext,
                intltool,
+               pkg-config,
+               libavahi-core-dev (>= 0.6.27-2ubuntu2), 
 Standards-Version: 3.8.3
 Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/trunk
 Homepage: https://launchpad.net/squid-deb-proxy
@@ -33,3 +35,18 @@
  It was written to be installed on clients that should use 
  squid-deb-proxy automatically, but it will work with any proxy
  that publishes the service as _apt_proxy._tcp.
+
+Package: squid-deb-proxy-client-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, configured-network,
+Description: Automatic proxy discovery for apt based on avahi (udeb)
+ This package contains a helper for the apt http method to discover
+ proxies that publish their service as _apt_proxy._tcp.
+ .
+ It was written to be installed on clients that should use 
+ squid-deb-proxy automatically, but it will work with any proxy
+ that publishes the service as _apt_proxy._tcp.
+ .
+ This package contains the udeb only

## squid-deb-proxy 0.5.2

=== debian/changelog ===
squid-deb-proxy (0.5.2) oneiric; urgency=low

  * Rework/simplify/fix the udeb based on the input from 
    Colin Watson (thanks a lot!)
  * fix a bunch of lintian errors:
    - add missing po-debconf as build-depends
    - add debian/po/{POTFILES.in,templates.pot}

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Jun 2011 12:09:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                gettext,
                intltool,
                pkg-config,
-               libavahi-core-dev (>= 0.6.27-2ubuntu2), 
+               po-debconf
 Standards-Version: 3.8.3
 Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/trunk
 Homepage: https://launchpad.net/squid-deb-proxy
@@ -39,7 +39,7 @@
 Package: squid-deb-proxy-client-udeb
 XC-Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, configured-network,
 Description: Automatic proxy discovery for apt based on avahi (udeb)
  This package contains a helper for the apt http method to discover

## squid-deb-proxy 0.6

=== debian/changelog ===
squid-deb-proxy (0.6) precise; urgency=low

  * add (optional) support for squid3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Nov 2011 10:44:06 -0400

## squid-deb-proxy 0.6.1

=== debian/changelog ===
squid-deb-proxy (0.6.1) precise; urgency=low

  [ Adam Gandelman ]
  * debian/squid-deb-proxy.upstart: Wrap squid execution in a script section.
    Also test for location/version of squid there, as the existing test in
    pre-start is out of scope but needed in both places. (LP: #893313)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2011 16:26:34 +0100

## squid-deb-proxy 0.6.3

=== debian/changelog ===
squid-deb-proxy (0.6.3) precise-proposed; urgency=low

  [ Simon Déziel ]
  * Support squid and squid3 in logrotate config (LP: #984806)

  [ Michael Vogt ]
  * mirror-dstdomain.acl:
    - fix typo, thanks to Paolo Rotolo (LP: #978696)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Apr 2012 14:46:24 +0200

squid-deb-proxy (0.6.2) precise; urgency=low

  [ Michael Vogt ]
  * squid-deb-proxy.conf:
    - use "aufs" instead of "ufs" for the cache directory. Thanks
      to Robert Colins for this suggestion

  [ Robie Basak ]
  * squid-deb-proxy.conf: always refresh Packages and Release files.
    (LP: #952364)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Apr 2012 22:09:12 +0200

## squid-deb-proxy 0.6.3.1

=== debian/changelog ===
squid-deb-proxy (0.6.3.1) precise-proposed; urgency=low

  * Allow caching of Canonical's cloud archive (LP: #1087145).

 -- Robie Basak <robie.basak@canonical.com>  Mon, 07 Jan 2013 10:13:44 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
-	 squid
+	 squid|squid3
 Recommends: avahi-utils
 Description: Squid proxy configuration optimized for deb packages
  This package contains a squid proxy configuration that is optimized

## squid-deb-proxy 0.6.6

=== debian/changelog ===
squid-deb-proxy (0.6.6) quantal; urgency=low

  * remove the autogenerated blacklist file if it contains no data
    (LP: #1053682)

 -- Brian Murray <brian@ubuntu.com>  Thu, 20 Sep 2012 15:28:54 -0700

squid-deb-proxy (0.6.5) quantal; urgency=low

  [ Simon Déziel ]
  * lp:~sdeziel/squid-deb-proxy/remove-unused-acls:
    - remove all and localhost acls as they are buildin in squid3
      (LP: #1005257)
  
  [ Michael Vogt ]
  * debian/control:
    - only depend on squid3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Aug 2012 17:17:18 +0200

squid-deb-proxy (0.6.4) quantal; urgency=low

  [ Andy Whitcroft ]
  * squid-deb-proxy: advertise on IPv6 (LP: #1021298)
   - add IPv6 stanza to avahi configuration
   - add IPv6 link local addresses to default acls
  * squid-dev-proxy-client: support IPv6 addressing when offered under avahi
   - switch to python script to allow validation of the addresses against
     the public address families we have on our interfaces (uses the same
     algorithm used in apt to avoid "something wierd" errors)
   - look for IPv6 then IPv4 addresses in avahi browse responses
   - stop using the incoming interface specifier to imply address type
     use address form itself
   - format IPv6 addresses using the http://[address]:port/ form

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Jul 2012 17:43:11 +0200

## squid-deb-proxy 0.6.7

=== debian/changelog ===
squid-deb-proxy (0.6.7) raring; urgency=low

  * lp:~nobuto/squid-deb-proxy/allow-ubuntu-cloud-archive:
    - allowing caching of the "Ubuntu Cloud Archive" repository by 
      default
  * allow caching of .extras.ubuntu.com

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Dec 2012 11:47:25 +0100

## squid-deb-proxy 0.6.8

=== debian/changelog ===
squid-deb-proxy (0.6.8) raring; urgency=low

  * apt-avahi-discover:
    - skip ipv6 link-local addresses, thanks to Edwin Amsler

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Apr 2013 18:50:45 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
-	 squid|squid3
+	 squid3
 Recommends: avahi-utils
 Description: Squid proxy configuration optimized for deb packages
  This package contains a squid proxy configuration that is optimized

## squid-deb-proxy 0.7.2~bpo70+1

=== debian/changelog ===
squid-deb-proxy (0.7.2~bpo70+1) wheezy-backports; urgency=low

  * Backport to wheezy-backports.
  * Add myself to Uploaders.

 -- Micah Anderson <micah@debian.org>  Wed, 31 Jul 2013 12:36:20 +0200

squid-deb-proxy (0.7.2) unstable; urgency=low

  [ Chris J Arges ]
  * Add additional ipv6 localhost address. (LP: #1195430) 

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Jul 2013 16:37:19 +0200

squid-deb-proxy (0.7.1) unstable; urgency=low

  * fix package description, thanks to  martin f krafft
    (closes: #705813)
  * merge reviewed package description and debconf templates, many
    thanks to Christian PERRIER and Justin B Rye (closes: #705794)
  * fix btfs, closes: #707507
  * merge patch to use dpkg-vendor instead of lsb_release -i -s
    thanks to  Felix Geyer (closes: #706521)
  * debian/po/sk.po:
    - add, thanks to helix84 (closes: #709109)
  * debian/po/da.po:
    - added, thanks to Joe Dalton (closes: #708854)
  * debian/po/ru.po:
    - added, thanks to Yuri Kozlov (closes: #708728)
  * debian/po/de.po:
    - added, thanks to Chris Leick (closes: #709630)
  * debian/po/it.po:
    - added, thanks to Beatrice Torracca (closes: #709881)
  * debian/po/cs.po:
    - added, thanks to Michal Šimůnek  (closes: #710114)
  * debian/po/pl.po:
    - added, thanks to Michał Kułach  (closes: #710389)
  * debian/po/ja.po:
    - added, thanks to "victory" (closes: #710436)
  * debian/po/fr.po:
    - added, thanks to "jean-pierre giraud" (closes: #711140)
  * debian/po/sv.po:
    - added, thanks to "Martin Bagge" (closes: #712652)
  
 -- Michael Vogt <mvo@debian.org>  Tue, 18 Jun 2013 13:33:41 +0200

squid-deb-proxy (0.7) unstable; urgency=low

  * add a debian default config
  * enable sysv init script
  * refactor shell helper code into init-common.sh
  * initial debian upload (closes: #574081)

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Apr 2013 19:11:43 +0200

=== debian/control ===
Source: squid-deb-proxy
Section: net
Priority: extra
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               gettext,
               intltool,
               pkg-config,
               po-debconf
Standards-Version: 3.9.4
Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/trunk
Homepage: https://launchpad.net/squid-deb-proxy
Uploaders: Micah Anderson <micah@debian.org>

Package: squid-deb-proxy
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
	 squid3
Recommends: avahi-utils
Description: Squid proxy configuration to optimize package downloads
 This package contains a Squid proxy configuration to manage a cache of
 .deb downloads, with optimizations for the types of file present in
 package repositories, and using a dedicated directory and port.

Package: squid-deb-proxy-client
Architecture: all
Depends: ${misc:Depends}, avahi-utils, apt (>= 0.7.25.3ubuntu1), python
Description: automatic proxy discovery for APT based on Avahi
 This package contains a helper for the APT http method to discover
 proxies that publish their service as _apt_proxy._tcp.
 .
 It was written to be installed on clients that should use 
 squid-deb-proxy automatically, but it will work with any proxy
 that publishes the service as _apt_proxy._tcp.

Package: squid-deb-proxy-client-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, configured-network,
Description: automatic proxy discovery for APT based on Avahi (udeb)
 This package contains a helper for the APT http method to discover
 proxies that publish their service as _apt_proxy._tcp.
 .
 It was written to be installed on clients that should use 
 squid-deb-proxy automatically, but it will work with any proxy
 that publishes the service as _apt_proxy._tcp.
 .
 This package contains the udeb for use with the Debian Installer.

## squid-deb-proxy 0.8.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 all:
 	echo "nothing to do"
-	make -C avahi
 
 install:
 	# dir

=== debian/changelog ===
squid-deb-proxy (0.8.6) unstable; urgency=low

  [ Michael Vogt ]
  * ensure /etc/avahi/services/squid-deb-proxy.service is removed
    on package removal
  * debian/po/es.po:
    - New Spanish debconf translation, thanks to Camaleón 
      (closes: #733495)
  
  [ Chris Glass ]
  * lp:~tribaal/squid-deb-proxy/extra-default-networks:
    - add two more example repos

 -- Michael Vogt <mvo@debian.org>  Sat, 25 Jan 2014 22:27:08 +0100

squid-deb-proxy (0.8.5) unstable; urgency=low

  [ James Page ]
  * lp:~james-page/squid-deb-proxy/fixup-cache-init:
    Ensure squid does not daemonize when creating cache directories
    (LP: #1247886)

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Dec 2013 22:22:34 +0100

squid-deb-proxy (0.8.4) unstable; urgency=low

  * mirror-dstdomain.acl.Debian:
    - add http.debian.net to the allowed destinations (closes: #724229)

 -- Michael Vogt <mvo@debian.org>  Mon, 23 Sep 2013 10:39:35 +0200

squid-deb-proxy (0.8.3) unstable; urgency=low

  * debian/squid-deb-proxy.postinst:
    - use "reload" instead of "restart" to avoid confusing error message
      that squid-deb-proxy did not start (when it did) on fresh installs
      or dpkg-reconfigure
  * mirror-dstdomain.acl.Debian:
    - add cdn.debian.net to the default allowed destinations
  * apt-avahi-discover:
    - improve --debug output
  * debian/squid-deb-proxy.init:
    - ensure that reload re-generates the ACL configuration

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Sep 2013 16:14:53 +0200

squid-deb-proxy (0.8.2) unstable; urgency=low

  * apt-avahi-discover:
    - do not depend on python-apt and use /usr/bin/apt-config instead
      to get the "APT::Avahi-Discover::Timeout" configuration value
      (closes: #722932)

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Sep 2013 14:56:55 +0200

squid-deb-proxy (0.8.1) unstable; urgency=low

  [ Julian Andres Klode ]
  * apt-avahi-discover:
    - Fix a check for IPv6 addresses
    - Really ignore non-accepting hosts (Closes: #722253)

 -- Michael Vogt <mvo@debian.org>  Wed, 11 Sep 2013 18:23:46 +0200

squid-deb-proxy (0.8) unstable; urgency=low

  [ Andrew Simpson ]
  * debian/squid-deb-proxy.init:
    - fix incorrect functions in reload() (closes: #720365)
  
  [ Michael Vogt ]
  * apt-avahi-discover:
    - when a _apt_proxy._tcp server is found, try to connect to
      it before using it
    - when multiple _apt_proxy._tcp servers are found, use the one
      that provides the quickest answer (closes: #722253, #718788)
    Thanks to Paul Wise and Julian Andres Klode for the suggestions
  
  [ Julian Andres Klode ]
  * apt-avahi-discover:
    - Pass -f to avahi-browse to not produce error messages if it cannot 
      find a service (closes: #722253)

 -- Michael Vogt <mvo@debian.org>  Tue, 10 Sep 2013 16:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Standards-Version: 3.9.4
 Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/trunk
 Homepage: https://launchpad.net/squid-deb-proxy
-Uploaders: Micah Anderson <micah@debian.org>
 
 Package: squid-deb-proxy
 Architecture: all

## squid-deb-proxy 0.8.6ubuntu1

=== debian/changelog ===
squid-deb-proxy (0.8.6ubuntu1) trusty-proposed; urgency=medium

  [ Vagrant Cascadian ]                                                        
  * add /etc/resolvconf/update-libc.d/squid-deb-proxy (closes: #780083)        
                                                                               
  [ Robie Basak ]                                                              
  * Simplify upstart "start on" to match squid3, to fix runlevel               
    transition problem (LP: #1456662)                                          
                                                                               
 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 02 Jun 2015 11:24:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squid-deb-proxy
 Section: net
 Priority: extra
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                gettext,
                intltool,

## squid-deb-proxy 0.8.8~ubuntu14.04.1

=== debian/changelog ===
squid-deb-proxy (0.8.8~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1358161)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Aug 2014 10:28:10 +0200

squid-deb-proxy (0.8.8) unstable; urgency=low

  [ Vagrant Cascadian ]
  * remove unowned files on purge (closes: #705995)
  
  [ Chris Glass ]
  * lp:~tribaal/squid-deb-proxy/refresh-ims:
    - add "refresh-ims" options to the refresh patterns for the 
      index files

 -- Michael Vogt <mvo@debian.org>  Fri, 18 Jul 2014 13:25:47 +0200

squid-deb-proxy (0.8.7) unstable; urgency=low

  * debian/po/es.po:
    - updated debconf translation, thanks to Camaleón
      (closes: #739510)
  * init-common.sh:
    - fix squid-deb-proxy restart bug that caused the proxy to disappear
      from the announced avahi services (closes: 728791)

 -- Michael Vogt <mvo@debian.org>  Sat, 15 Mar 2014 16:39:26 +0100

## squid-deb-proxy 0.8.9

=== debian/changelog ===
squid-deb-proxy (0.8.9) unstable; urgency=low

  [ Vagrant Cascadian ]
  * squid-deb-proxy.conf:
    - add refresh patterns for tar.xz,tar.bz2 (closes: #756357)
    - use squid-deb-proxy specific netdb_filename (closes: #760666)
  
  [ Michael Vogt ]
  * improve README to explain better how to use it when 
    squid-deb-proxy-client is not a option

 -- Michael Vogt <mvo@debian.org>  Wed, 10 Sep 2014 16:07:07 +0200

## squid-deb-proxy 0.8.10

=== debian/changelog ===
squid-deb-proxy (0.8.10) unstable; urgency=medium

  [ Michael Vogt ]
  * debian/po/nl.po:
    - add Dutch translation of squid-deb-proxy debconf messages,
      thanks to Frans Spiesschaert (closes: 766519)
  
  [ Chris Glass ]
  * Don't remove the package blacklist file if it is empty when 
    gathering rules. This should fix LP: #1166667 (closes: #775545)

 -- Michael Vogt <mvo@debian.org>  Thu, 29 Jan 2015 15:50:49 +0100

## squid-deb-proxy 0.8.11

=== debian/changelog ===
squid-deb-proxy (0.8.11) unstable; urgency=low

  [ Vagrant Cascadian ]
  * add /etc/resolvconf/update-libc.d/squid-deb-proxy (closes: #780083)
  
  [ Robie Basak ]
  * Simplify upstart "start on" to match squid3, to fix runlevel
    transition problem (LP: #1456662)

 -- Michael Vogt <mvo@debian.org>  Wed, 27 May 2015 09:12:49 +0200

## squid-deb-proxy 0.8.12

=== debian/changelog ===
squid-deb-proxy (0.8.12) unstable; urgency=medium

  * squid-deb-proxy.conf:
    - handle Translation-.* the same way as the other indexfiles
      (LP: #1474417). Thanks to Scott Moser.

 -- Michael Vogt <mvo@debian.org>  Thu, 16 Jul 2015 09:13:03 +0200

## squid-deb-proxy 0.8.13

=== debian/changelog ===
squid-deb-proxy (0.8.13) unstable; urgency=medium

  * add README.md to squid-deb-proxy install, thanks to
    Daniel Stender (closes: 796388)

 -- Michael Vogt <mvo@debian.org>  Mon, 24 Aug 2015 11:54:14 +0200

## squid-deb-proxy 0.8.14

=== debian/changelog ===
squid-deb-proxy (0.8.14) unstable; urgency=medium

  * depend on squid3 instead of squid, thanks to
    HIGUCHI Daisuke (VDR dai), closes: #813082

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Jan 2016 17:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: squid-deb-proxy
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                gettext,
                intltool,
@@ -16,7 +15,7 @@
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
-	 squid3
+	 squid
 Recommends: avahi-utils
 Description: Squid proxy configuration to optimize package downloads
  This package contains a Squid proxy configuration to manage a cache of

## squid-deb-proxy 0.8.14ubuntu0.18.04.1

=== debian/changelog ===
squid-deb-proxy (0.8.14ubuntu0.18.04.1) bionic; urgency=medium

  * apt-avahi-discover: write errors to stderr instead
    of stdout so that stdout can be captured correctly.
    Thanks to <jasonpepas@gmail.com>. Note that this is
    being fixed differently (stderr and not syslog)
    in the stable releases. LP: #1505670.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 14 Oct 2021 16:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squid-deb-proxy
 Section: net
 Priority: extra
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                gettext,
                intltool,

## squid-deb-proxy 0.8.14+nmu1

=== debian/changelog ===
squid-deb-proxy (0.8.14+nmu1) unstable; urgency=medium

  * Non-maintainer upload with maintainer consent
  * debian/po/pt.po:
    - add (updated) Portuguese translation of squid-deb-proxy debconf messages,
      thanks to Rui Branco (closes: #710442, #858747))

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 15 Aug 2018 20:25:06 +0200

## squid-deb-proxy 0.8.14+nmu2

=== debian/changelog ===
squid-deb-proxy (0.8.14+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * move /etc/apt/conf.d/30autoproxy to under /usr/share/squid-deb-proxy-client
    and make symlink to it, to avoid package fetch failure after removed its
    package (Closes: #867682)

 -- Hideki Yamane <henrich@debian.org>  Sat, 16 Mar 2019 15:30:32 +0900

## squid-deb-proxy 0.8.15

=== Makefile ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	install -m 644 mirror-dstdomain.acl $(DESTDIR)/etc/squid-deb-proxy/
 	# client
 	install -m 755 apt-avahi-discover $(DESTDIR)/usr/share/squid-deb-proxy-client/
-	install -m 644 30autoproxy $(DESTDIR)/etc/apt/apt.conf.d
+	install -m 644 30autoproxy $(DESTDIR)/usr/share/squid-deb-proxy-client/

=== avahi/Makefile ===
CFLAGS := $(shell pkg-config --cflags avahi-core) -g -Wall
LDFLAGS := $(shell pkg-config --libs avahi-core)

all: find_squid_deb_proxy

find_squid_deb_proxy: find_squid_deb_proxy.c
	$(CC) $(CFLAGS) find_squid_deb_proxy.c -o find_squid_deb_proxy $(LDFLAGS)

clean:
	rm -f find_squid_deb_proxy

=== debian/changelog ===
squid-deb-proxy (0.8.15) unstable; urgency=medium

  [ Graham Cantin ]
  * apt-avahi-discover: port to python3

  [ Michael Vogt ]
  * merged NMU changes, thank you Hideki and Helge
  * modernize packaging
  * fix lintian issues
  * run debconf-updatepo
  * allowed-networks-src.acl: add fd00::/8 (IPv6 ULA addresses)
    to allowed clients

 -- Michael Vogt <mvo@debian.org>  Sat, 18 Jan 2020 19:00:55 +0100

=== debian/control ===
Source: squid-deb-proxy
Section: net
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 12),
               gettext,
               intltool,
               pkg-config,
               po-debconf
Standards-Version: 4.4.0
Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/trunk
Homepage: https://launchpad.net/squid-deb-proxy

Package: squid-deb-proxy
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base,
         squid,
         ${misc:Depends}
Recommends: avahi-utils
Description: Squid proxy configuration to optimize package downloads
 This package contains a Squid proxy configuration to manage a cache
 of .deb downloads, with optimizations for the types of file present
 in  package repositories, and using a dedicated directory and port.

Package: squid-deb-proxy-client
Architecture: all
Depends: apt (>= 0.7.25.3ubuntu1),
         avahi-utils,
         python3,
         ${misc:Depends}
Description: automatic proxy discovery for APT based on Avahi
 This package contains a helper for the APT http method to discover
 proxies that publish their service as _apt_proxy._tcp.
 .
 It was written to be installed on clients that should use
 squid-deb-proxy automatically, but it will work with any proxy
 that publishes the service as _apt_proxy._tcp.

Package: squid-deb-proxy-client-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: configured-network,
         ${misc:Depends},
         ${shlibs:Depends}
Description: automatic proxy discovery for APT based on Avahi (udeb)
 This package contains a helper for the APT http method to discover
 proxies that publish their service as _apt_proxy._tcp.
 .
 It was written to be installed on clients that should use
 squid-deb-proxy automatically, but it will work with any proxy
 that publishes the service as _apt_proxy._tcp.
 .
 This package contains the udeb for use with the Debian Installer.

## squid-deb-proxy 0.8.15build1

=== debian/changelog ===
squid-deb-proxy (0.8.15build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:17 +0100

## squid-deb-proxy 0.8.15ubuntu0.20.04.1

=== debian/changelog ===
squid-deb-proxy (0.8.15ubuntu0.20.04.1) focal; urgency=medium

  * apt-avahi-discover: write errors to stderr instead
    of stdout so that stdout can be captured correctly.
    Thanks to <jasonpepas@gmail.com>. Note that this is
    being fixed differently (stderr and not syslog)
    in the stable releases. LP: #1505670.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 14 Oct 2021 13:41:22 +0200

## squid-deb-proxy 0.8.15ubuntu0.21.04.1

=== debian/changelog ===
squid-deb-proxy (0.8.15ubuntu0.21.04.1) hirsute; urgency=medium

  * apt-avahi-discover: write errors to stderr instead
    of stdout so that stdout can be captured correctly.
    Thanks to <jasonpepas@gmail.com>. Note that this is
    being fixed differently (stderr and not syslog)
    in the stable releases. LP: #1505670.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 05 Oct 2021 13:23:08 +0200

## squid-deb-proxy 0.8.15+nmu1

=== debian/changelog ===
squid-deb-proxy (0.8.15+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add apparmor profiles to work (Closes: #932501)

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Jun 2021 23:41:11 +0900

## squid-deb-proxy 0.8.15+nmu1ubuntu1

=== debian/changelog ===
squid-deb-proxy (0.8.15+nmu1ubuntu1) impish; urgency=medium

  [ Michael Vogt ]
  * apt-avahi-discover: use syslog for logging
    in AptAvahiClient, thanks to Jason Pepas
    (jasonpepas@gmail.com).
    (LP: #1505670).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 05 Oct 2021 11:23:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squid-deb-proxy
 Section: net
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 12),
                gettext,
                intltool,

=== debian/rules ===
#!/usr/bin/make -f

DIST=$(shell dpkg-vendor --query Vendor)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build $@
	# use hte right default mirrors file for the distro
	ln -s mirror-dstdomain.acl.$(DIST) mirror-dstdomain.acl

override_dh_installinit:
	dh_installinit $@
	dh_installinit --name=squid-deb-proxy-avahi

## squid-deb-proxy 0.8.15+nmu1ubuntu4

=== debian/changelog ===
squid-deb-proxy (0.8.15+nmu1ubuntu4) lunar; urgency=medium

  * fix regression from LP: #1963794 with patch from Jesse McDonald

 -- Rolf Leggewie <foss@leggewie.org>  Sat, 21 Jan 2023 09:39:59 +0100

squid-deb-proxy (0.8.15+nmu1ubuntu3) lunar; urgency=medium

  * Reverse change made in 0.8.15+nmu1ubuntu2
    - It caused a regression which needs to be investigated further
      (LP: #2002562).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 13 Jan 2023 02:46:15 +0100

squid-deb-proxy (0.8.15+nmu1ubuntu2) lunar; urgency=medium

  * backport latest apt-avahi-discover from upstream commit
    42fe9174a408436329e8a0b8b48fb19b2d000d4d
    - fix flake8 style errors
    - transition from asyncore to asyncio (LP: #1963794)

 -- Rolf Leggewie <foss@leggewie.org>  Wed, 04 Jan 2023 10:53:24 +0800

## squid-deb-proxy 0.8.16

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 all:
 	echo "nothing to do"
+
+check:
+	flake8 apt-avahi-discover
 
 install:
 	# dir

=== debian/changelog ===
squid-deb-proxy (0.8.16) unstable; urgency=medium

  [ Mika Pflüger ]
  * Merged NMU changes, thanks to Hideki
  * debian/control: update VCS and homepage metadata (Closes: #999647)

  [ Michael Vogt ]
  * apt-avahi-discover: use syslog for logging in AptAvahiClient
    Patch from `jasonpepas@gmail.com` - thanks!
  * debian: add gbp.conf
  * Makefile, apt-avahi-discover: make `flake8` clean via `make check`
  * github: add simple workflow

  [ Jesse McDonald ]
  * port from asyncore to asyncio

  [ Mark Esler ]
  * d/control: add flake8 Build-Depends
  * 30autoproxy: update apt-transport-http syntax
  * d/squid-deb-proxy.postinst: add launchpadcontent
  * mirror-dstdomain.acl.Ubuntu: add esm.ubuntu.com

  [ Hideki Yamane ]
  * 0.8.15+nmu1, thank you!

  [ Miriam Espana Acebal ]
  * 0.8.15+nmu1ubuntu1, thank you!

  [ Rolf Leggewie ]
  * 0.8.15+nmu1ubuntu2, thank you!
  * 0.8.15+nmu1ubuntu4 (patches unapplied)

  [ Gunnar Hjalmarsson ]
  * 0.8.15+nmu1ubuntu3, thank you!

 -- Michael Vogt <mvo@debian.org>  Sat, 25 May 2024 16:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: squid-deb-proxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 12),
                gettext,
                intltool,
-               pkg-config,
-               po-debconf
+               pkgconf,
+               po-debconf,
+               flake8
 Standards-Version: 4.4.0
-Vcs-Bzr: https://code.launchpad.net/~squid-deb-proxy-developers/squid-deb-proxy/trunk
-Homepage: https://launchpad.net/squid-deb-proxy
+Vcs-Browser: https://github.com/mvo5/squid-deb-proxy
+Vcs-Git: https://github.com/mvo5/squid-deb-proxy.git
+Homepage: https://github.com/mvo5/squid-deb-proxy
 
 Package: squid-deb-proxy
 Architecture: all
@@ -39,7 +40,7 @@
  that publishes the service as _apt_proxy._tcp.
 
 Package: squid-deb-proxy-client-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: all
 Depends: configured-network,

## squid-deb-proxy 0.8.16build1

=== debian/changelog ===
squid-deb-proxy (0.8.16build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 21:53:39 +0100
